summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJan Kara <jack@suse.cz>2014-11-26 10:38:26 +0100
committerJan Kara <jack@suse.cz>2014-11-26 10:50:49 +0100
commit204620858132006a77ba8df1bff04861b058b31b (patch)
tree586df3cc434c8e1498f4ded9853965f076e1853b
parent022aabf0c54c030bc55d5b50e05182219d4952b4 (diff)
downloadquota-tools-204620858132006a77ba8df1bff04861b058b31b.tar.gz
Add release script
Signed-off-by: Jan Kara <jack@suse.cz>
-rw-r--r--Makefile.in2
-rw-r--r--config.h.in6
-rwxr-xr-xrelease.sh30
3 files changed, 34 insertions, 4 deletions
diff --git a/Makefile.in b/Makefile.in
index 0e46329..7d25930 100644
--- a/Makefile.in
+++ b/Makefile.in
@@ -55,7 +55,7 @@ clobber: clean
-rm -f $(PROGS) Makefile config.status config.cache config.log config.h
realclean: clobber
- -rm -f $(RPCSRC) po/*.mo
+ -rm -f $(RPCSRC) po/*.mo *.rej *.orig *~
pot:
xgettext -k_ -kN_ -d pot *.c *.h
diff --git a/config.h.in b/config.h.in
index 432e3b5..97e23f1 100644
--- a/config.h.in
+++ b/config.h.in
@@ -1,8 +1,5 @@
/* config.h.in. Generated from configure.in by autoheader. */
-/* Alternative file format of edquota */
-#undef ALT_FORMAT
-
/* File with mounted filesystems */
#undef ALT_MTAB
@@ -66,6 +63,9 @@
/* Define to the one symbol short name of this package. */
#undef PACKAGE_TARNAME
+/* Define to the home page for this package. */
+#undef PACKAGE_URL
+
/* Version of quota tools */
#undef PACKAGE_VERSION
diff --git a/release.sh b/release.sh
new file mode 100755
index 0000000..6129607
--- /dev/null
+++ b/release.sh
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+if [ $# -ne 1 ]; then
+ echo "Usage: release.sh <version>" >&2
+ exit 1
+fi
+
+VERSION=$1
+CURVERSION=`git tag | tail -1`
+CURVERSION=${CURVERSION:1}
+
+# Update version in configure script
+sed -i -e 's/\[PACKAGE_VERSION\], \[".*"\],/\[PACKAGE_VERSION\], \["'$VERSION'"\],/' configure.in
+autoheader
+autoconf
+
+echo "Changes in quota-tools from $CURVERSION to $VERSION" >Changelog.new
+git log --pretty="* %s (%an)" v$CURVERSION.. >>Changelog.new
+echo "" >>Changelog.new
+cat Changelog >>Changelog.new
+mv Changelog.new Changelog
+
+git add Changelog configure.in
+git commit -s -m "Release quota-tools $VERSION"
+git tag v$VERSION
+
+# Create tarball
+make realclean
+cd ..
+tar czvf quota-$VERSION.tar.gz --exclude .git --exclude autom4te.cache quota-tools/